Subject: Re: bug#59381: Should xref--marker-ring be per-window?

From: Dmitry Gutov <[email-masked]>
Date: Fri, 25 Nov 2022 01:59:53 +0200

On 25/11/22 01:42, Ackerley Tng wrote:
>> (defcustom xref-history-storage 'xref-window-local-history
> Here's an updated patch!

Nice. :-) Seems good to go.

How would you like to sign the copyright assignment papers for Emacs?

Regarding the patch, I was a tad surprised that there is no use for the 
"setter" function of xref-history-store, but it makes sense given that 
the value cons serves as a pointer to the data structure which we modify 
in-place.

Perhaps we should keep the setter option in the signature anyway, for 
someone to be able to reset the history. Or save and restore it. Hm.